import environmentVisitor from "@babel/helper-environment-visitor";
import traverse from "@babel/traverse";
import * as _t from "@babel/types";
const {
  numericLiteral,
  unaryExpression
} = _t;
const rewriteThisVisitor = traverse.visitors.merge([environmentVisitor, {
  ThisExpression(path) {
    path.replaceWith(unaryExpression("void", numericLiteral(0), true));
  }
}]);
export default function rewriteThis(programPath) {
  traverse(programPath.node, Object.assign({}, rewriteThisVisitor, {
    noScope: true
  }));
}

//# sourceMappingURL=rewrite-this.js.map
